/**
 * generated by Xtext 2.19.0.M3
 */
package fr.irisa.cairn.graphviz.model.dotty;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Compound</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link fr.irisa.cairn.graphviz.model.dotty.Compound#getNodes <em>Nodes</em>}</li>
 *   <li>{@link fr.irisa.cairn.graphviz.model.dotty.Compound#getAttributes <em>Attributes</em>}</li>
 *   <li>{@link fr.irisa.cairn.graphviz.model.dotty.Compound#getSub <em>Sub</em>}</li>
 * </ul>
 *
 * @see fr.irisa.cairn.graphviz.model.dotty.DottyPackage#getCompound()
 * @model
 * @generated
 */
public interface Compound extends EObject
{
  /**
   * Returns the value of the '<em><b>Nodes</b></em>' containment reference list.
   * The list contents are of type {@link fr.irisa.cairn.graphviz.model.dotty.Node}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Nodes</em>' containment reference list.
   * @see fr.irisa.cairn.graphviz.model.dotty.DottyPackage#getCompound_Nodes()
   * @model containment="true"
   * @generated
   */
  EList<Node> getNodes();

  /**
   * Returns the value of the '<em><b>Attributes</b></em>' containment reference list.
   * The list contents are of type {@link fr.irisa.cairn.graphviz.model.dotty.Attribute}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Attributes</em>' containment reference list.
   * @see fr.irisa.cairn.graphviz.model.dotty.DottyPackage#getCompound_Attributes()
   * @model containment="true"
   * @generated
   */
  EList<Attribute> getAttributes();

  /**
   * Returns the value of the '<em><b>Sub</b></em>' containment reference list.
   * The list contents are of type {@link fr.irisa.cairn.graphviz.model.dotty.Compound}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Sub</em>' containment reference list.
   * @see fr.irisa.cairn.graphviz.model.dotty.DottyPackage#getCompound_Sub()
   * @model containment="true"
   * @generated
   */
  EList<Compound> getSub();

} // Compound
